Share via


App Attach Package - Update

Update an App Attach Package

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DesktopVirtualization/appAttachPackages/{appAttachPackageName}?api-version=2025-10-10

URI Parameters

Name In Required Type Description
appAttachPackageName
path True

string

minLength: 3
maxLength: 100
pattern: ^[a-z0-9]([a-z0-9]|(-(?!-))){1,61}[a-z0-9]$

The name of the App Attach package

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
properties

AppAttachPackagePatchProperties

Detailed properties for App Attach Package

Responses

Name Type Description
200 OK

AppAttachPackage

Successfully updated App Attach Package.

Other Status Codes

ErrorResponse

Automation error response describing why the operation failed.

Examples

AppAttachPackage_Update

Sample request

PATCH https://management.azure.com/subscriptions/daefabc0-95b4-48b3-b645-8a753a63c4fa/resourceGroups/resourceGroup1/providers/Microsoft.DesktopVirtualization/appAttachPackages/msixpackagefullname?api-version=2025-10-10

Sample response

{
  "name": "packageName",
  "id": "/subscriptions/d15725f7-6577-4a8c-95f1-3da903b42364/resourcegroups/charlesk-southcentralus/providers/Microsoft.DesktopVirtualization/appattachpackages/ModifierPackage",
  "type": "Microsoft.DesktopVirtualization/appattachpackages",
  "location": "southcentralus",
  "tags": {},
  "systemData": {
    "createdBy": "user1",
    "createdByType": "User",
    "createdAt": "2023-09-28T23:44:56.13Z",
    "lastModifiedBy": "user1",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2023-10-09T01:43:31.07Z"
  },
  "properties": {
    "image": {
      "packageAlias": "msixpackagealias",
      "imagePath": "imagepath",
      "packageName": "MsixPackageName",
      "packageFamilyName": "MsixPackage_FamilyName",
      "packageFullName": "MsixPackage_FullName",
      "displayName": "displayname",
      "packageRelativePath": "packagerelativepath",
      "isRegularRegistration": false,
      "isActive": false,
      "packageDependencies": [
        {
          "dependencyName": "MsixPackage_Dependency_Name",
          "publisher": "MsixPackage_Dependency_Publisher",
          "minVersion": "packageDep_version"
        }
      ],
      "version": "packageversion",
      "lastUpdated": "2008-09-22T14:01:54.9571247Z",
      "packageApplications": [
        {
          "appId": "AppId",
          "description": "PackageApplicationDescription",
          "appUserModelID": "AppUserModelId",
          "friendlyName": "FriendlyName",
          "iconImageName": "Iconimagename",
          "rawIcon": "VGhpcyBpcyBhIHN0cmluZyB0byBoYXNo",
          "rawPng": "VGhpcyBpcyBhIHN0cmluZyB0byBoYXNo"
        }
      ],
      "certificateName": "certName",
      "certificateExpiry": "2023-01-02T17:18:19.1234567Z"
    },
    "hostPoolReferences": [],
    "failHealthCheckOnStagingFailure": "NeedsAssistance",
    "keyVaultURL": ""
  }
}

Definitions

Name Description
AppAttachPackage

Schema for App Attach Package properties.

AppAttachPackageInfoProperties

Schema for Import Package Information properties.

AppAttachPackagePatch

Schema for updatable App Attach Package properties.

AppAttachPackagePatchProperties

Schema for patchable fields on an App Attach Package.

AppAttachPackageProperties

Schema for App Attach Package properties.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

failHealthCheckOnStagingFailure

Parameter indicating how the health check should behave if this package fails staging

MsixPackageApplications

Schema for MSIX Package Application properties.

MsixPackageDependencies

Schema for MSIX Package Dependencies properties.

packageTimestamped

Is package timestamped so it can ignore the certificate expiry date

ProvisioningState

The current provisioning state.

systemData

Metadata pertaining to creation and last modification of the resource.

AppAttachPackage

Schema for App Attach Package properties.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties

AppAttachPackageProperties

Detailed properties for App Attach Package

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

AppAttachPackageInfoProperties

Schema for Import Package Information properties.

Name Type Description
certificateExpiry

string (date-time)

Date certificate expires, found in the appxmanifest.xml.

certificateName

string

Certificate name found in the appxmanifest.xml.

displayName

string

User friendly Name to be displayed in the portal.

imagePath

string

VHD/CIM image path on Network Share.

isActive

boolean

Make this version of the package the active one across the hostpool.

isPackageTimestamped

packageTimestamped

Is package timestamped so it can ignore the certificate expiry date

isRegularRegistration

boolean

Specifies how to register Package in feed.

lastUpdated

string (date-time)

Date Package was last updated, found in the appxmanifest.xml.

packageAlias

string

Alias of App Attach Package. Assigned at import time

packageApplications

MsixPackageApplications[]

List of package applications.

packageDependencies

MsixPackageDependencies[]

List of package dependencies.

packageFamilyName

string

Package Family Name from appxmanifest.xml. Contains Package Name and Publisher name.

packageFullName

string

Package Full Name from appxmanifest.xml.

packageName

string

Package Name from appxmanifest.xml.

packageRelativePath

string

Relative Path to the package inside the image.

version

string

Package version found in the appxmanifest.xml.

AppAttachPackagePatch

Schema for updatable App Attach Package properties.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties

AppAttachPackagePatchProperties

Detailed properties for App Attach Package

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

AppAttachPackagePatchProperties

Schema for patchable fields on an App Attach Package.

Name Type Description
failHealthCheckOnStagingFailure

failHealthCheckOnStagingFailure

Parameter indicating how the health check should behave if this package fails staging

hostPoolReferences

string[] (arm-id)

List of Hostpool resource Ids.

image

AppAttachPackageInfoProperties

Detailed properties for App Attach Package

keyVaultURL

string

URL path to certificate name located in keyVault

AppAttachPackageProperties

Schema for App Attach Package properties.

Name Type Description
failHealthCheckOnStagingFailure

failHealthCheckOnStagingFailure

Parameter indicating how the health check should behave if this package fails staging

hostPoolReferences

string[]

List of Hostpool resource Ids.

image

AppAttachPackageInfoProperties

Detailed properties for App Attach Package

keyVaultURL

string

URL path to certificate name located in keyVault

provisioningState

ProvisioningState

The provisioning state of the App Attach Package.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

failHealthCheckOnStagingFailure

Parameter indicating how the health check should behave if this package fails staging

Value Description
Unhealthy
NeedsAssistance
DoNotFail

MsixPackageApplications

Schema for MSIX Package Application properties.

Name Type Description
appId

string

Package Application Id, found in appxmanifest.xml.

appUserModelID

string

Used to activate Package Application. Consists of Package Name and ApplicationID. Found in appxmanifest.xml.

description

string

Description of Package Application.

friendlyName

string

User friendly name.

iconImageName

string

User friendly name.

rawIcon

string (byte)

the icon a 64 bit string as a byte array.

rawPng

string (byte)

the icon a 64 bit string as a byte array.

MsixPackageDependencies

Schema for MSIX Package Dependencies properties.

Name Type Description
dependencyName

string

Name of package dependency.

minVersion

string

Dependency version required.

publisher

string

Name of dependency publisher.

packageTimestamped

Is package timestamped so it can ignore the certificate expiry date

Value Description
Timestamped
NotTimestamped

ProvisioningState

The current provisioning state.

Value Description
Succeeded
Provisioning
Failed
Canceled

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.